@import '../abstracts/variables';
@import '../abstracts/mixins';

.header {
	width: 100%;
	@include save-paddings;
	padding-top: 23px;
	padding-bottom: 23px;

	@media (min-width: $bp-medium) {
		padding-top: 41px;
		padding-bottom: 43px;
	}

	@media (min-width: $bp-large) {
		padding-top: 45px;
		padding-bottom: 51px;
	}
}

.header__container {
	@include flex(flex-end);
	position: relative;

	@media (min-width: $bp-medium) {
		justify-content: center;
	}
}

.header__burger-btn {
	width: 44px;
	height: 37px;
	border: none;
	background-color: $background-dark;
	padding: 6px;
	@include flex;

	@media (min-width: $bp-medium) {
		display: none;
	}
}

.header__btn-icon {
	display: none;
}

.header__btn-icon--active {
	display: block;
}

.header__burger-icon {
	width: 25px;
	height: 25px;
}

.header__cancel-icon {
	width: 14px;
	height: 14px;
}

.header__navigation {
	background-color: $background-light;
	min-width: 182px;	
	position: absolute;
	top: 37px;

	@media (min-width: $bp-medium) {
		position: static;
		background-color: transparent;
	}
}

.drop-down {
	display: none;

	@media (min-width: $bp-medium) {
		display: block;
	}
}

.header__menu {
	@media (min-width: $bp-medium) {
		@include flex;
		flex-wrap: wrap;
		gap: 34px;
	}
	@media (min-width: $bp-large) {
		gap: 68px;
	}
}

.header__menu-item {
	padding-left: 12px;
	
	&:hover {
		background-color: #E5E5E5;
	}

	@media (min-width: $bp-medium) {
		padding-left: 0;
		&:hover {
			background-color: transparent;
		}
	}
}

.header__menu-link {
	color: $text-color-dark;
	text-transform: uppercase;
	font-size: 11px;
	line-height: 30px;
	letter-spacing: 1.1px;

	&--active {
		color: #57A4A4;
	}

	@media (min-width: $bp-medium) {
		line-height: 22px;
	}
}